SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000082SiT!otherpublic2008-07-11 21:472009-02-27 16:27
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.45Fixed in Version3.45 
Summary0000082: Tabbed configuration page
DescriptionMake setup.php able to configure all the setup variables in an easy-to-use way by categorising the variables into sensible tabs so there's not as much to configure in one go.

It would also be nice to have helpful controls, e.g. a group selector when choosing a group instead of a box to enter an ID.
TagsNo tags attached.
Attached Files

- Relationships
parent of 0000098closed A function to modify config variables 
related to 0000113closedivan Store config in database 
related to 0000068closedivan Support Manager config 
related to 0000280closedivan in reconfigure - option to remove the example data 
related to 0000422closed Move all configuration into config.php 

-  Notes
User avatar (0000291)
ivan (administrator)
2008-12-05 15:29

This is mostly done for 3.45 as of trunk r4378. It could use some user-friendliness like auto-saving when you switch tabs, but I'd like people to test it and provide feedback first.
User avatar (0000509)
ivan (administrator)
2009-01-22 11:47

Just the associative arrays to do now, e.g. $CONFIG['ldap_attr_map']

+ Some [?] help links if I/we can think of some help text

- Issue History
Date Modified Username Field Change
2008-07-11 21:47 ivan New Issue
2008-07-11 21:47 ivan Status new => assigned
2008-07-11 21:47 ivan Assigned To => ivan
2008-07-17 10:58 ivan Relationship added parent of 0000098
2008-07-18 11:20 ivan Relationship added related to 0000113
2008-12-05 13:52 ivan Relationship added related to 0000068
2008-12-05 15:29 ivan Note Added: 0000291
2008-12-05 15:29 ivan Target Version 3.50 => 3.45
2008-12-19 11:19 ivan Relationship added related to 0000280
2009-01-22 11:47 ivan Note Added: 0000509
2009-01-23 11:58 ivan Relationship added related to 0000422
2009-01-23 14:56 ivan Status assigned => resolved
2009-01-23 14:56 ivan Resolution open => fixed
2009-01-23 14:56 ivan Fixed in Version => 3.45
2009-02-27 16:27 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker